/*Head*/
/*Header*/
html {
  background: black;
}
header {
  color: #ffffff;
  /*background: black;*/
  background-image: url("../Images/carbonB.jpg");
  height: 300px;
  text-align: center;
}
.space {
  padding-top: 2%;
}
.sizeA {
  width: 150px;
  height: 150px;
}
.sizeZ {
  width: 250px;
  height: 75px;
}
h1 {
  background: black;
  margin-left: 40%;
  margin-right: 40%;
}

/*Nav*/
.flex-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  list-style: none;
  justify-content: center;
  align-items: center;
  margin-right: 5%;
}

.flex-item {
  padding: 10px 0.05em;
  margin-left: 20px;
  justify-content: center;
  align-items: center;
  background-color: grey;
  border-radius: 6px;
  padding-top: 2px;
  padding-bottom: 2px;
  margin-top: 8px;
}
nav {
  background: #113754;
  margin-bottom: -20px;
  padding-top: 1px;
  padding-bottom: 1px;
}

nav a:link {
  /*border: solid black;*/
  color: black;
  background-color: grey;
  border-radius: 8px;
  margin-left: 10px;
  margin-right: 10px;
  text-decoration: none;
  font-family: cursive;
  font-weight: 800;
}
nav a:visited {
  color: black;
}
/*Main*/
main {
  color: #ffffff;
  background: black;
  text-align: center;
  padding-bottom: 30px;
}
.topH {
  margin-top: 70px;
}
.topA {
  margin-top: 40px;
}
h2 {
  background: grey;
  margin-left: 40%;
  margin-right: 40%;
}
.spaceA {
  padding-left: 70px;
}
/*Index*/
.service {
  display: grid;
  grid-template-columns: auto auto;
  background-color: black;
  margin-left: 15%;
  margin-right: 15%;
  padding: 10px;
  text-align: center;
}
/*Gallery*/
.serviceA {
  display: grid;
  grid-template-columns: auto auto auto;
  background-color: black;
  padding: 10px;
  margin-bottom: 50px;
  margin-left: 5%;
  margin-right: 5%;
  row-gap: 20px;
  place-items: center;
}

.sizeC {
  width: 300px;
  height: 200px;
}
.work {
  padding-bottom: 25px;
}
/*Footer*/
.flex-containerC {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  list-style: none;
  justify-content: center;
}

.media {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  list-style: none;
  justify-content: center;
  align-items: center;
}
.mediaA {
  margin-left: 10%;
  margin-right: 4px;
  padding-top: 15px;
  padding-bottom: 15px;
}
.mediaB {
  margin-right: 4px;
  padding-top: 15px;
  padding-bottom: 15px;
}
.mediaC {
  padding-top: 15px;
  padding-bottom: 15px;
}
.sizeX {
  padding-right: 70px;
}

footer {
  background: #113754;
  margin-top: -20px;
  margin-bottom: -20px;
  padding-top: 1px;
  padding-bottom: 1px;
  border-radius: 3px;
}
footer a:link {
  color: black;
  border-radius: 8px;
  text-decoration: none;
  font-family: cursive;
  font-weight: 800;
}
footer a:visited {
  color: black;
}
.sizeY {
  background-color: #113754;
  width: 40px;
  height: 40px;
}
.sizeB {
  width: 40px;
  height: 40px;
  margin-left: -70px;
}

/*@media*/
@media (max-width: 1050px) {
  .sizeC {
    width: 275px;
    height: 175px;
  }
}

@media (max-width: 985px) {
  .sizeC {
    width: 250px;
    height: 150px;
  }
}

@media (max-width: 950px) {
  .sizeC {
    width: 315px;
    height: 215px;
  }
  .serviceA {
    grid-template-columns: auto auto;
  }
}

@media (max-width: 765px) {
  .sizeC {
    width: 250px;
    height: 150px;
  }
}

@media (max-width: 620px) {
  .sizeC {
    width: 315px;
    height: 215px;
  }
  .serviceA {
    grid-template-columns: auto;
  }
  nav footer {
    align-items: center;
  }
}

@media (max-width: 570px) {
  .sizeY {
    margin-left: -20px;
  }
}

@media (max-width: 560px) {
  nav footer {
    font-size: small;
  }
}

@media (max-width: 545px) {
  .sizeY {
    margin-left: -5px;
  }
}

@media (max-width: 500px) {
  .flex-container {
    flex-direction: column;
  }
}

@media (max-width: 430px) {
  .sizeY {
    margin-left: -3%;
  }
}

@media (max-width: 428px) {
  .sizeY {
    margin-left: -8%;
    width: 35px;
    height: 35px;
  }
  .sizeB {
    width: 35px;
    height: 35px;
  }
}
